Package de.willuhn.jameica.hbci.rmi

# Interface Kontoauszug

All Superinterfaces:
  `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.GenericObject`, `HibiscusDBObject`, `Remote`, `de.willuhn.datasource.rmi.Transactionable`

All Known Implementing Classes:
  `KontoauszugImpl`

public interface Kontoauszug extends HibiscusDBObject
Bildet einen einzelnen elektronischen Kontoauszug ab.

## Method Summary

Modifier and Type
Method
Description
`Date`
`getAusfuehrungsdatum()`
Liefert das Datum, zu dem der Kontoauszug abgerufen wurde.
`Date`
`getBis()`
Liefert das Ende-Datum des Berichtszeitraumes.
`String`
`getDateiname()`
Liefert den Dateinamen des Kontoauszuges.
`Date`
`getErstellungsdatum()`
Liefert das Datum der bankseitigen Erstellung des Kontoauszuges.
`String`
`getFormat()`
Liefert das Format-Kuerzel der Datei.
`Date`
`getGelesenAm()`
Liefert das Datum, an dem der Kontoauszug als gelesen markiert wurde.
`Integer`
`getJahr()`
Liefert das Jahr des Kontoauszuges.
`String`
`getKommentar()`
Liefert einen optionalen Kommentar.
`Konto`
`getKonto()`
Liefert das Konto.
`String`
`getName1()`
Liefert den ersten Namen des Kontoauszuges.
`String`
`getName2()`
Liefert den zweiten Namen des Kontoauszuges.
`String`
`getName3()`
Liefert den dritten Namen des Kontoauszuges.
`Integer`
`getNummer()`
Liefert die Nummer des Kontoauszuges.
`String`
`getPfad()`
Liefert den Ordner, in dem sich die zugehorige Datei befindet.
`Date`
`getQuittiertAm()`
Liefert das Datum, an dem die Quittung an die Bank gesendet wurde.
`byte[]`
`getQuittungscode()`
Liefert den Quittungscode des Kontoauszuges.
`String`
`getUUID()`
Liefert eine optionale UUID des Kontoauszuges, falls die Datei per Messaging gespeichert wurde.
`Date`
`getVon()`
Liefert das Start-Datum des Berichtszeitraumes.
`void`
`setBis(Date bis)`
Speichert das Ende-Datum des Berichtszeitraumes.
`void`
`setDateiname(String dateiname)`
Speichert den Dateinamen des Kontoauszuges.
`void`
`setErstellungsdatum(Date d)`
Speichert das Datum der bankseitigen Erstellung des Kontoauszuges.
`void`
`setFormat(String format)`
Speichert das Format-Kuerzel der Datei.
`void`
`setGelesenAm(Date d)`
Speichert das Datum, an dem der Kontoauszug als gelesen markiert wurde.
`void`
`setJahr(Integer jahr)`
Speichert das Jahr des Kontoauszuges.
`void`
`setKommentar(String kommentar)`
Speichert einen optionalen Kommentar.
`void`
`setKonto(Konto konto)`
Speichert das Konto.
`void`
`setName1(String name1)`
Speichert den ersten Namen des Kontoauszuges.
`void`
`setName2(String name2)`
Speichert den zweiten Namen des Kontoauszuges.
`void`
`setName3(String name3)`
Speichert den dritten Namen des Kontoauszuges.
`void`
`setNummer(Integer nummer)`
Speichert die Nummer des Kontoauszuges.
`void`
`setPfad(String pfad)`
Speichert den Ordner, in dem sich die zugehoerige Datei befindet.
`void`
`setQuittiertAm(Date d)`
Speichert das Datum, an dem die Quittung an die Bank gesendet wurde.
`void`
`setQuittungscode(byte[] code)`
Speichert den Quittungscode des Kontoauszuges.
`void`
`setUUID(String uuid)`
Speichert optionale UUID des Kontoauszuges, falls die Datei per Messaging gespeichert wurde.
`void`
`setVon(Date von)`
Speichert das Start-Datum des Berichtszeitraumes.

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Method Details

### getKonto

Konto getKonto() throws RemoteException
Liefert das Konto.

Returns:
  Konto.
Throws:
  `RemoteException`

### setKonto

void setKonto(Konto konto) throws RemoteException
Speichert das Konto.

Parameters:
  `konto` - Konto.
Throws:
  `RemoteException`

### getAusfuehrungsdatum

Date getAusfuehrungsdatum() throws RemoteException
Liefert das Datum, zu dem der Kontoauszug abgerufen wurde.

Returns:
  das Datum zu dem der Kontoauszug abgerufen wurde.
Throws:
  `RemoteException`

### getKommentar

String getKommentar() throws RemoteException
Liefert einen optionalen Kommentar.

Returns:
  optionaler Kommentar.
Throws:
  `RemoteException`

### setKommentar

void setKommentar(String kommentar) throws RemoteException
Speichert einen optionalen Kommentar.

Parameters:
  `kommentar` - Kommentar.
Throws:
  `RemoteException`

### getPfad

String getPfad() throws RemoteException
Liefert den Ordner, in dem sich die zugehorige Datei befindet.

Returns:
  der Ordner - ohne Dateiname.
Throws:
  `RemoteException`

### setPfad

void setPfad(String pfad) throws RemoteException
Speichert den Ordner, in dem sich die zugehoerige Datei befindet.

Parameters:
  `pfad` - der Ordner - ohne Dateiname.
Throws:
  `RemoteException`

### getDateiname

String getDateiname() throws RemoteException
Liefert den Dateinamen des Kontoauszuges.

Returns:
  der Dateiname des Kontoauszuges.
Throws:
  `RemoteException`

### setDateiname

void setDateiname(String dateiname) throws RemoteException
Speichert den Dateinamen des Kontoauszuges.

Parameters:
  `dateiname` - der Dateiname des Kontoauszuges.
Throws:
  `RemoteException`

### getUUID

String getUUID() throws RemoteException
Liefert eine optionale UUID des Kontoauszuges, falls die Datei per Messaging gespeichert wurde.

Returns:
  optionale UUID des Kontoauszuges, falls die Datei per Messaging gespeichert wurde.
Throws:
  `RemoteException`

### setUUID

void setUUID(String uuid) throws RemoteException
Speichert optionale UUID des Kontoauszuges, falls die Datei per Messaging gespeichert wurde.

Parameters:
  `uuid` - optionale UUID des Kontoauszuges, falls die Datei per Messaging gespeichert wurde.
Throws:
  `RemoteException`

### getFormat

String getFormat() throws RemoteException
Liefert das Format-Kuerzel der Datei. 1 = Swift MT940 2 = ISO 8583 3 = PDF

Returns:
  das Format-Kuerzel der Datei.
Throws:
  `RemoteException`

### setFormat

void setFormat(String format) throws RemoteException
Speichert das Format-Kuerzel der Datei.

Parameters:
  `format` - das Format-Kuerzel der Datei.
Throws:
  `RemoteException`

### getErstellungsdatum

Date getErstellungsdatum() throws RemoteException
Liefert das Datum der bankseitigen Erstellung des Kontoauszuges.

Returns:
  das Datum der bankseitigen Erstellung des Kontoauszuges.
Throws:
  `RemoteException`

### setErstellungsdatum

void setErstellungsdatum(Date d) throws RemoteException
Speichert das Datum der bankseitigen Erstellung des Kontoauszuges.

Parameters:
  `d` - das Datum der bankseitigen Erstellung des Kontoauszuges.
Throws:
  `RemoteException`

### getVon

Date getVon() throws RemoteException
Liefert das Start-Datum des Berichtszeitraumes.

Returns:
  das Start-Datum des Berichtszeitraumes.
Throws:
  `RemoteException`

### setVon

void setVon(Date von) throws RemoteException
Speichert das Start-Datum des Berichtszeitraumes.

Parameters:
  `von` - das Start-Datum des Berichtszeitraumes.
Throws:
  `RemoteException`

### getBis

Date getBis() throws RemoteException
Liefert das Ende-Datum des Berichtszeitraumes.

Returns:
  das Ende-Datum des Berichtszeitraumes.
Throws:
  `RemoteException`

### setBis

void setBis(Date bis) throws RemoteException
Speichert das Ende-Datum des Berichtszeitraumes.

Parameters:
  `bis` - das Ende-Datum des Berichtszeitraumes.
Throws:
  `RemoteException`

### getJahr

Integer getJahr() throws RemoteException
Liefert das Jahr des Kontoauszuges.

Returns:
  das Jahr des Kontoauszuges.
Throws:
  `RemoteException`

### setJahr

void setJahr(Integer jahr) throws RemoteException
Speichert das Jahr des Kontoauszuges.

Parameters:
  `jahr` - das jahr des Kontoauszuges.
Throws:
  `RemoteException`

### getNummer

Integer getNummer() throws RemoteException
Liefert die Nummer des Kontoauszuges.

Returns:
  die Nummer des Kontoauszuges.
Throws:
  `RemoteException`

### setNummer

void setNummer(Integer nummer) throws RemoteException
Speichert die Nummer des Kontoauszuges.

Parameters:
  `nummer` - die Nummer des Kontoauszuges.
Throws:
  `RemoteException`

### getName1

String getName1() throws RemoteException
Liefert den ersten Namen des Kontoauszuges.

Returns:
  der erste Name des Kontoauszuges.
Throws:
  `RemoteException`

### setName1

void setName1(String name1) throws RemoteException
Speichert den ersten Namen des Kontoauszuges.

Parameters:
  `name1` - der erste Name des Kontoauszuges.
Throws:
  `RemoteException`

### getName2

String getName2() throws RemoteException
Liefert den zweiten Namen des Kontoauszuges.

Returns:
  der zweite Name des Kontoauszuges.
Throws:
  `RemoteException`

### setName2

void setName2(String name2) throws RemoteException
Speichert den zweiten Namen des Kontoauszuges.

Parameters:
  `name2` - der zweite Name des Kontoauszuges.
Throws:
  `RemoteException`

### getName3

String getName3() throws RemoteException
Liefert den dritten Namen des Kontoauszuges.

Returns:
  der dritte Name des Kontoauszuges.
Throws:
  `RemoteException`

### setName3

void setName3(String name3) throws RemoteException
Speichert den dritten Namen des Kontoauszuges.

Parameters:
  `name3` - der dritte Name des Kontoauszuges.
Throws:
  `RemoteException`

### getQuittungscode

byte[] getQuittungscode() throws RemoteException
Liefert den Quittungscode des Kontoauszuges.

Returns:
  der Quittungscode des Kontoauszuges.
Throws:
  `RemoteException`

### setQuittungscode

void setQuittungscode(byte[] code) throws RemoteException
Speichert den Quittungscode des Kontoauszuges.

Parameters:
  `code` - der Quittungscode des Kontoauszuges.
Throws:
  `RemoteException`

### getQuittiertAm

Date getQuittiertAm() throws RemoteException
Liefert das Datum, an dem die Quittung an die Bank gesendet wurde.

Returns:
  das Datum, an dem die Quittung an die Bank gesendet wurde.
Throws:
  `RemoteException`

### setQuittiertAm

void setQuittiertAm(Date d) throws RemoteException
Speichert das Datum, an dem die Quittung an die Bank gesendet wurde.

Parameters:
  `d` - das Datum, an dem die Quittung an die Bank gesendet wurde.
Throws:
  `RemoteException`

### getGelesenAm

Date getGelesenAm() throws RemoteException
Liefert das Datum, an dem der Kontoauszug als gelesen markiert wurde.

Returns:
  das Datum, an dem der Kontoauszug als gelesen markiert wurde.
Throws:
  `RemoteException`

### setGelesenAm

void setGelesenAm(Date d) throws RemoteException
Speichert das Datum, an dem der Kontoauszug als gelesen markiert wurde.

Parameters:
  `d` - das Datum, an dem der Kontoauszug als gelesen markiert wurde.
Throws:
  `RemoteException`